.dice {
  width: 200px;
  height: 200px;
  transform-style: preserve-3d;
  transition: transform 2s;
}

.divot {
  position: absolute;
  width: 40px;
  height: 40px;
  margin: -20px 0 0 -20px;
  border-radius: 20px;
  background: #000;
}

.side {
  background-color: white;
  position: absolute;
  width: 200px;
  height: 200px;
  box-shadow: 0 0 0 8px;
  border-radius: 20px;
}

.side:nth-child(1) {
  transform: translateZ(100px);
}

.side:nth-child(6) {
  transform: rotateY(180deg) translateZ(100px);
}

.side:nth-child(3) {
  transform: rotateY(90deg) translateZ(100px);
}

.side:nth-child(4) {
  transform: rotateY(-90deg) translateZ(100px);
}

.side:nth-child(5) {
  transform: rotateX(90deg) translateZ(100px);
}

.side:nth-child(2) {
  transform: rotateX(-90deg) translateZ(100px);
}

.show-1 {
  transform: rotateX(720deg) rotateZ(-720deg);
}

.show-1-alt {
  transform: rotateX(360deg) rotateZ(360deg);
}

.show-6 {
  transform: rotateX(-900deg) rotateZ(1080deg);
}

.show-6-alt {
  transform: rotateX(180deg) rotateZ(-720deg);
}

.show-3 {
  transform: rotateY(-450deg) rotateZ(-1440deg);
}

.show-3-alt {
  transform: rotateY(-90deg) rotateZ(720deg);
}

.show-4 {
  transform: rotateY(810deg) rotateZ(720deg);
}

.show-4-alt {
  transform: rotateY(-450deg) rotateZ(180deg);
}

.show-5 {
  transform: rotateX(-810deg) rotateZ(-1080deg);
}

.show-5-alt {
  transform: rotateX(270deg) rotateZ(1080deg);
}

.show-2 {
  transform: rotateX(450deg) rotateZ(-720deg);
}

.show-2-alt {
  transform: rotateX(-90deg) rotateZ(180deg);
}

.show-wait {
  transform: rotateX(4090deg) rotateZ(-4090deg);
}

/* Dice Dots */
.two-1,
.three-1,
.four-1,
.five-1,
.six-1 {
  top: 20%;
  left: 20%;
}

.four-3,
.five-3,
.six-4 {
  top: 20%;
  left: 80%;
}

.one-1,
.three-2,
.five-5 {
  top: 50%;
  left: 50%;
}

.four-2,
.five-2,
.six-3 {
  top: 80%;
  left: 20%;
}

.two-2,
.three-3,
.four-4,
.five-4,
.six-6 {
  top: 80%;
  left: 80%;
}

.six-2 {
  top: 50%;
  left: 20%;
}

.six-5 {
  top: 50%;
  left: 80%;
}

/* CLEARFIX */
.clearfix:after {
  content: "";
  display: table;
  clear: both;
}

.disabled-dice {
  opacity: 0.5;
}
